
Figure - Bug #118255
【IOVDEV-30060】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【蓝牙】副屏连接蓝牙键盘后，
关闭蓝牙，再打开蓝牙 ，蓝牙键盘偶现无法进行自动回连
2023-05-25 22:19 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-25

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230523 17：00

【前提条件】：副屏上电，蓝牙键盘设备之前已连接过

【操作步骤】

1.打开蓝牙

2.蓝牙键盘激活

【实际结果】

1.蓝牙键盘无法进行自动连接

【期望结果】

1.蓝牙键盘正常进行自动连接

【备注】：

第145次开机

日志、视频地址：https://ofs.human-horizons.com/#/download/index/fRJwjh1n9H4%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-25 22:36 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118255/118255-30060.7z

#2 - 2023-05-27 17:59 - CDTS-TEST 周婷

- File tlog_35f43216_000069_1111001931.tar.gz added
副屏软件版本：[ro.build.display.vc1.id]: [01.00.0102.C103]

键盘型号：罗技K480

蓝牙音箱型号：JBL_GO

操作步骤：

1.副屏同时连接蓝牙音箱和蓝牙键盘

2.反复开关副屏端蓝牙开关，查看蓝牙设备是否回连成功

3.重启大概20次左右出现蓝牙音箱未回连成功，蓝牙键盘回连均正常

 tlog 中勾选了蓝牙相关日志

#3 - 2023-05-30 17:27 - 短距组_SSRDCNJ 蒋俊杰

【结论】：重连应该是对端键盘发起连接，需要查看对端是否发起连接请求，现有HCI log未记录到问题发生时间段内容

【下一步计划】：复现提供HCI日志

#4 - 2023-06-01 11:01 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

Hi,

1. 使用罗技K480键盘测试20次，未复现该现象

2. 描述问题发生在：20230523 17：00

日志tlog_35f43216_000069_1111001931.tar.gz 

记录的时间时11/11 00:08:43~00:19:07 未包含发生时间点日志

Next:

1. 重连应该是对端键盘发起连接，需要查看对端是否发起连接请求, 请提供对比机数据

2. 如对比机不复现，请在副屏上复现抓tlog日志（包含HCI日志），谢谢！

#5 - 2023-06-01 16:18 - SZTS_TEST 邹涛

在106版本复测20次未复现

#6 - 2023-06-06 22:05 - CDTS_TEST 王成

- File 6.5 复现问题蓝牙键盘是圆点LOFREE蓝牙机械键盘.7z added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD LC 陶洪普

客户复现日志，麻烦分析

#7 - 2023-06-07 13:51 - 短距组_SSRDCNJ 蒋俊杰

【结论】HCI日志中只能看到用户点击副屏主动发起连接的log，没有看到该键盘设备发起回连请求。由于连接其他蓝牙设备没有复现，因此这题应该是

对端设备的问题

537    Command    0x0405    Create_Connection                        13    17     00:00:00.984898    2023/6/5 19:50:58.896595    

538    Event    0x0405    Create_Connection    Command Status    Success                4    7     00:00:00.003509    2023/6/5 19:50:58.900104    
540    Event            Connection Complete    Success    0x0002            11    14     00:00:01.392613    2023/6/5 19:51:00.293096

#8 - 2023-06-07 19:22 - CDTS_Test 吴诗雨

已同步

#9 - 2023-06-14 16:50 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

已同步JIRA

#10 - 2023-06-17 19:08 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#11 - 2023-06-17 19:08 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#12 - 2023-06-17 19:08 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

tlog_35f43216_000069_1111001931.tar.gz 10.4 MB 2023-05-27 CDTS-TEST 周婷

6.5 复现问题蓝牙键盘是圆点LOFREE蓝牙机械键盘.7z 32.1 MB 2023-06-06 CDTS_TEST 王成
